Skip to main content
PUT
/
profiles
/
{profile_id}
Update Profile
curl --request PUT \
  --url https://api.paxos.com/v2/profiles/{profile_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
  "nickname": "MyProfileName"
}
'
import requests

url = "https://api.paxos.com/v2/profiles/{profile_id}"

payload = {
"profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
"nickname": "MyProfileName"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profile_id: 'b7b77d82-e6a7-4ae9-9904-36231aedf985', nickname: 'MyProfileName'})
};

fetch('https://api.paxos.com/v2/profiles/{profile_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
  "nickname": "MyProfileName",
  "type": "NORMAL"
}
OAuth Scope
funding:write_profile

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Path Parameters

profile_id
string
required

Body

application/json
nickname
string
required

Response

200 - application/json

A successful response.

id
string
required
nickname
string
required
type
enum<string>
required

The profile type.

  • NORMAL: A client-created profile. All Profiles created using the CreateProfile endpoint are of this type.
  • DEFAULT: A system-generated profile.
Available options:
NORMAL,
DEFAULT
description
string
account_id
string